## auctex 9.4g-2

=== Makefile ===
# Makefile - for the AUC TeX distribution.
#
# $Id: Makefile,v 5.121 1996/03/23 02:10:44 abraham Exp $
#
# Edit the makefile, type `make', and follow the instructions.

##----------------------------------------------------------------------
##  YOU MUST EDIT THE FOLLOWING LINES 
##----------------------------------------------------------------------

# Where local software is found
prefix=/usr/local

# Where architecture dependent local software go
exec_prefix = $(prefix)

# Where installed binaries go.
bindir = $(exec_prefix)/bin

# Where info files go.
infodir = $(prefix)/info

# Where manual pages go.
mandir=$(prefix)/man/man1

# Where the AUC TeX emacs lisp files go.
# Set this to "." to specify current directory.
#
# Make sure that this is the same directory as specified by
# TeX-lisp-directory in tex-site.el
#
aucdir=$(prefix)/lib/emacs/site-lisp/auctex

# Name of your emacs binary
EMACS=emacs-19.30

##----------------------------------------------------------------------
## YOU MAY NEED TO EDIT THESE
##----------------------------------------------------------------------

# Do not change the definition of autodir below, unless you also
# update TeX-auto-global in tex-init.el

# Where the automatically generated lisp files for your site go.
autodir=$(aucdir)/auto

# Using emacs in batch mode.
BATCH=$(EMACS) -batch -q lpath.el -f eval-current-buffer

# Specify the byte-compiler for compiling AUC TeX files
ELC= $(BATCH) -f batch-byte-compile

# Specify the byte-compiler for generating style files
AUTO= $(EMACS) -batch -l $(aucdir)/tex.elc \
	-l $(aucdir)/latex.elc -f TeX-auto-generate-global

# Specify the byte-compiler for compiling generated style files
AUTOC= $(ELC)

# Using TeX in batch mode.
TEX=tex

# Need K&R compiler.  Either `cc' or `gcc -traditional'
#CC = gcc -traditional
CC = cc

# Cflags.. Include `-DNEED_STRSTR' if you don't have strstr() in libc
CFLAGS = -O # -DNEED_STRSTR 

# How to run flex. (flex is needed, lex won't do)
# if you don't have `flex' you may use the other instead:

LEX = flex -8  lacheck.lex
#LEX = cp lacheck.noflex.c lex.yy.c 

# How to move the byte compiled files to their destination.  
MV = mv

# For OS/2 use
#LACHECK=lacheck.exe
LACHECK=lacheck

# For linking lacheck
LIBS=

##----------------------------------------------------------------------
##  BELOW THIS LINE ON YOUR OWN RISK!
##----------------------------------------------------------------------

SHELL = /bin/sh

#FTPDIR = /home/ftp/pub/Staff/Per.Abrahamsen/auctex
FTPDIR = /home/ftp/pub/Staff/Per.Abrahamsen/mirror/ftp/auctex

#WWWDIR = $(HOME)/.public_html/auctex
WWWDIR = /home/ftp/pub/Staff/Per.Abrahamsen/mirror/www/auctex

REMOVE =  none

MINMAPSRC = auc-menu.el maniac.el \
	    outln-18.el auc-html.el all.el

CONTRIB = hilit-LaTeX.el bib-cite.el tex-jp.el 

AUCSRC = auc-old.el  tex.el \
	 tex-buf.el  latex.el    tex-info.el \
	 ltx-help.el 

STYLESRC = style/slides.el    style/foils.el    style/amstex.el \
	   style/article.el   style/book.el     style/letter.el \
	   style/report.el    style/amsart.el   style/amsbook.el \
	   style/epsf.el      style/psfig.el    style/latexinfo.el \
	   style/dutch.el     style/german.el   style/dk.el \
	   style/j-article.el style/j-book.el   style/j-report.el \
	   style/jarticle.el  style/jbook.el    style/jreport.el \
	   style/dinbrief.el  style/virtex.el   style/plfonts.el \
	   style/plhb.el      style/harvard.el	style/swedish.el

LACHECKFILES = lacheck/Makefile lacheck/lacheck.lex lacheck/lacheck.man \
	       lacheck/test.tex

LACHECKGEN = lacheck.c test.old

DOCFILES = doc/Makefile doc/auc-tex.texi doc/intro.texi doc/install.texi \
	doc/changes.texi doc/tex-ref.tex doc/math-ref.tex doc/history.texi

EXTRAFILES = COPYING PROBLEMS MSDOS VMS OS2 Makefile ChangeLog \
	lpath.el tex-site.el $(CONTRIB)

first:
	@echo ""
	@echo "	 ** Welcome to the AUC TeX installation suite **"
	@echo ""
	@echo "	 Edit the Makefile to suit your needs. Then run:"
	@echo 
	@echo "	  make all"
	@echo 
	@echo "	 and follow the instructions."
	@echo 
	@echo "	 Before you start, you should check that you have"
	@echo "	 TeXinfo package 2.16 or later installed (the texinfo.tex"
	@echo "	 file from 2.16 has version 2.86).  The version of"
	@echo "	 TeXinfo distributed with GNU Emacs 18.xx is TeXinfo 1."
	@echo

all: main
	@echo "**********************************************************"
	@echo "** Before running \`make install' you should edit the "
	@echo "** file \`tex-site.el' in this directory to suit your"
	@echo "** local needs.  Then run: \`make install'"
	@echo "** "
	@echo "** Expect some warnings from the Emacs 19 byte compiler."
	@echo "**********************************************************"

main: TDoc TLaCheck

install: LispInstall LaInstall DocInstall
	@echo 
	@echo "**********************************************************"
	@echo "** AUC TeX installation almost completed "
	@echo "** "
	@echo "** Now copy \`tex-site.el' to the directory where you put "
	@echo "** local lisp extensions (usually emacs/site-lisp) and "
	@echo "** insert"
	@echo "**   (require 'tex-site)"
	@echo "** in your \`.emacs' or \`site-start.el' file."
	@echo "** "
	@echo "** Still missing is the automatic extraction of symbols"
	@echo "** and environments from your sites TeX style files."
	@echo "** Beware, this takes some time and uses around 300k"
	@echo "** storage, depending on your the TeX style files. "
	@echo "** It is possible to use AUC TeX without this information."
	@echo "** "
	@echo "** To do this start emacs and type"
	@echo "** \"M-x TeX-auto-generate-global RET\"."
	@echo "** INPORTANT:  You must install tex-site.el first!"
	@echo "** "
	@echo "** You may want to print the following files:  "
	@echo "**    doc/auc-tex.dvi"
	@echo "**    doc/tex-ref.dvi"
	@echo "**********************************************************"
	@echo

install-auto:
	@echo "Use \"M-x TeX-auto-generate-global RET\" instead."

LaInstall: TLaCheck
	@echo "**********************************************************"
	@echo "** Installing LaCheck "
	@echo "**********************************************************"
	-(cd lacheck; $(MAKE) install bindir=$(bindir) mandir=$(mandir) \
	LACHECK=$(LACHECK) SHELL=$(SHELL))

DocInstall: 
	@echo "**********************************************************"
	@echo "** Preparing AUC TeX \`info' pages"
	@echo "**********************************************************"
	-(cd doc; $(MAKE) install infodir=$(infodir) TEX=$(TEX))

LispInstall:
	@echo "**********************************************************"
	@echo "** Byte compiling AUC TeX.  This may take a while..."
	@echo "** "
	@echo "** Expect some harmless warnings about free variables and "
	@echo "** undefined functions from the Emacs 19 byte compiler."
	@echo "**********************************************************"
	$(ELC) $(AUCSRC) $(STYLESRC)
	if [ ! -d $(aucdir) ]; then mkdir $(aucdir); else true; fi ; 
	if [ `/bin/pwd` != `(cd $(aucdir) && /bin/pwd)` ] ; \
	then \
	    if [ ! -d $(aucdir)/style ]; then mkdir $(aucdir)/style; \
	                                 else true; fi ; \
	    $(MV) *.elc $(aucdir) ; \
	    $(MV) style/*.elc $(aucdir)/style ; \
	else true; \
	fi

.el.elc:
	$(ELC) $<

TLaCheck:
	@echo "**********************************************************"
	@echo "** Building LaCheck"
	@echo "**********************************************************"
	-( cd lacheck; $(MAKE) bindir=$(bindir) \
	   CC="$(CC)" CFLAGS="$(CFLAGS)" LEX="$(LEX)" \
	   LACHECK=$(LACHECK) LIBS=$(LIBS))

TDoc: 
	@echo "**********************************************************"
	@echo "** Making AUC TeX documentation"
	@echo "**********************************************************"
	-(cd doc; $(MAKE) TEX=$(TEX))

clean:
	rm -rf *~ #*# lex.yy.c idetex auctex
	(cd doc; $(MAKE) clean)
	(cd lacheck; $(MAKE) clean)

wc:
	wc $(AUCSRC) $(STYLESRC) 

dist:	
	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
	@echo "**********************************************************"
	@echo "** Making distribution of auctex for release $(TAG)"
	@echo "**********************************************************"
	if [ -d auctex-$(TAG) ]; then rm -r auctex-$(TAG) ; fi
	rm -f $(WWWDIR)/version
	echo $(TAG) > $(WWWDIR)/version
	cvs commit -m "Release $(OLD)++" tex.el
	rm -f tex.el.orig
	mv tex.el tex.el.orig
	sed -e '/defconst AUC-TeX-date/s/"[^"]*"/"'"`date`"'"/' \
	    -e '/defconst AUC-TeX-version/s/"[^"]*"/"'$(TAG)'"/' \
	    < tex.el.orig > tex.el
	rm -f $(REMOVE) 
	-cvs remove $(REMOVE) 
	-cvs add $(AUCSRC) $(EXTRAFILES)
	-(cd doc; cvs add `echo $(DOCFILES) | sed -e s@doc/@@g` )
	-(cd lacheck; cvs add `echo $(LACHECKFILES) | sed -e s@lacheck/@@g` )
	-(cd style; cvs add `echo $(STYLESRC) | sed -e s@style/@@g` )
	cvs commit -m "Release $(TAG)"
	cvs tag release_`echo $(TAG) | sed -e 's/[.]/_/g'`
	mkdir auctex-$(TAG) 
	mkdir auctex-$(TAG)/style
	mkdir auctex-$(TAG)/doc auctex-$(TAG)/lacheck
	cp $(AUCSRC) $(EXTRAFILES) auctex-$(TAG)
	cp $(STYLESRC) auctex-$(TAG)/style
	cp $(LACHECKFILES) auctex-$(TAG)/lacheck
	(cd lacheck; $(MAKE) $(LACHECKGEN); \
	 cp $(LACHECKGEN) ../auctex-$(TAG)/lacheck )
	cp $(DOCFILES)  auctex-$(TAG)/doc
	(cd doc; $(MAKE) dist; cp auctex auctex-* ../auctex-$(TAG)/doc )
	(cd doc; cp INSTALLATION README CHANGES ../auctex-$(TAG)/ )
	cp doc/CHANGES $(FTPDIR)/CHANGES-$(TAG)
	cp ChangeLog $(FTPDIR)
	cp doc/*.html $(WWWDIR)/doc
	rm -f $(FTPDIR)/auctex-$(TAG).tar.gz $(FTPDIR)/auctex.tar.gz
	rm -f $(FTPDIR)/auctex.tar.Z $(FTPDIR)/auctex.zip
	tar -cf - auctex-$(TAG) | gzip --best > $(FTPDIR)/auctex-$(TAG).tar.gz
	tar -cf - auctex-$(TAG) | compress > $(FTPDIR)/auctex.tar.Z
	zip -r $(FTPDIR)/auctex auctex-$(TAG)
	(cd $(FTPDIR); ln -s auctex-$(TAG).tar.gz auctex.tar.gz)
	if [ "X$(OLD)" = "X" ]; then echo "No patch"; else \
	cvs rdiff -r release_`echo $(OLD) | sed -e 's/[.]/_/g'` \
	          -r release_`echo $(TAG) | sed -e 's/[.]/_/g'` auctex \
		> $(FTPDIR)/auctex-$(OLD)-to-$(TAG).patch ; fi ; exit 0

patch:
	cvs rdiff -r release_`echo $(OLD) | sed -e 's/[.]/_/g'` \
	          -r release_`echo $(TAG) | sed -e 's/[.]/_/g'` auctex

min-map:
	-cvs add $(MINMAPSRC) 
	cvs commit -m "Update"
	cp $(MINMAPSRC) doc/math-ref.tex $(FTPDIR)

=== doc/Makefile ===

infodir=/usr/local/info
TEX=tex

all: auc-tex.dvi tex-ref.dvi math-ref.dvi auctex

dist: auctex INSTALLATION README CHANGES auc-tex_toc.html

auc-tex_toc.html: auc-tex.texi
	texi2html -split_node auc-tex.texi

math-ref.dvi: math-ref.tex
	$(TEX) math-ref
	@echo "**********************************************************"
	@echo "** doc/math-ref.dvi may now be printed (1 page)"
	@echo "**********************************************************"

tex-ref.dvi: tex-ref.tex
	$(TEX) tex-ref
	@echo "**********************************************************"
	@echo "** doc/tex-ref.dvi may now be printed (1 page)"
	@echo "**********************************************************"

auc-tex.dvi: auc-tex.texi
	-$(TEX) "\nonstopmode\input auc-tex.texi"
	-texindex auc-tex.ky
	-texindex auc-tex.fn
	-texindex auc-tex.vr
	-texindex auc-tex.cp
	-$(TEX) "\nonstopmode\input auc-tex.texi"
	@echo "**********************************************************"
	@echo "** If this gave trouble, maybe you need to install"
	@echo "** a newer version of texinfo?"
	@echo "** doc/auc-tex.dvi may now be printed (70+ pages)"
	@echo "**********************************************************"

auctex: auc-tex.texi install.texi intro.texi changes.texi
	-makeinfo auc-tex.texi
	@echo "**********************************************************"
	@echo "** If this gave trouble, maybe you need to install"
	@echo "** a newer version of texinfo?"
	@echo "**********************************************************"

INSTALLATION: install.texi
	-makeinfo --no-headers install.texi --output INSTALLATION

README: intro.texi
	-makeinfo --no-headers intro.texi --output README

CHANGES: changes.texi
	-makeinfo --no-headers changes.texi --output CHANGES

HISTORY: history.texi
	-makeinfo --no-headers history.texi --output HISTORY

install: auctex
	cp auctex auctex-* $(infodir)
	@echo "**********************************************************"
	@echo "** The \`auctex' info files are now installed."
	@echo "** Edit \`$(infodir)/dir'"
	@echo "** to add an entry for file \`auctex'"
	@echo "**********************************************************"

clean: allways
	rm -f *.dvi *.ps *.aux *.cp *.fn *.info *.ky *.log *~ \#*\# *.tp *.vr *.pg *.toc *.tp *.bak *.cps *.kys *.tps *.fns *.vrs *.pgs auctex auctex-? *.html INSTALLATION README CHANGES


allways:

=== lacheck/Makefile ===
# Makefile for lacheck.

# If both flex lacheck.c are missing, copy lacheck.noflex.c to
# lacheck.c. 

prefix = /usr/local
exec_prefix = $(prefix)

bindir = $(exec_prefix)/bin
mandir = $(prefix)/man/man1
manext = .1
srcdir = .

# Use `cc -bsd' on a next
# use `cc -cckr' on a sgi
# CC = gcc -traditional
CC=cc

CFLAGS = -g # -O -DNEED_STRSTR 

# No changes should be needed below

# Remember to change when lacheck is updated.
REV = 1.21

DISTFILES = lacheck.lex lacheck.man Makefile lacheck.c test.tex test.old \
	lacheck.hlp make_vms.com

FTPDIR = /home/ftp/pub/Staff/Per.Abrahamsen/mirror/ftp/lacheck

SHELL = /bin/sh

LACHECK=lacheck

INSTALL = cp
INSTALL_PROGRAM = $(INSTALL) 
INSTALL_DATA = $(INSTALL) 

FLEX = flex
FLEXFLAGS = -8

LIBS= #-ll

$(LACHECK):	lacheck.o
	$(CC) $(CFLAGS) -o $@ $(srcdir)/lacheck.o $(LIBS)

lacheck.c:	lacheck.lex  
	-if [ ! -f $(srcdir)/lacheck.noflex.c ] ; then \
	  if [ -f $(srcdir)/lacheck.c ] ; then \
	    $(INSTALL_DATA) $(srcdir)/lacheck.c $(srcdir)/lacheck.noflex.c ; \
	  fi ; \
	fi
	$(FLEX) $(FLEXFLAGS) $(srcdir)/lacheck.lex
	mv $(srcdir)/lex.yy.c $@

lacheck.1: 	lacheck.man  
	-sed -e "s!%%LACHECKREV%%!Release $(REV)!" $(srcdir)/lacheck.man |\
	sed -e "s!%%LACHECKDATE%%!`date +%D`!" |\
	sed -e "s!%%LACHECKPATH%%!$(bindir)/$(LACHECK)!" > $@ 

test.new:	test.tex $(LACHECK) 
	$(srcdir)/$(LACHECK) $(srcdir)/test.tex > $@ 

test.old:	test.tex $(LACHECK)
	$(srcdir)/$(LACHECK) $(srcdir)/test.tex > $@ 

check:		test.new
	-diff $(srcdir)/test.old $(srcdir)/test.new

install: 	$(LACHECK) lacheck.1
	cp $(srcdir)/$(LACHECK) $(bindir)
	cp $(srcdir)/lacheck.1 $(mandir)/lacheck$(manext) 

uninstall:
	-rm -f $(bindir)/$(LACHECK) $(mandir)/lacheck$(manext) 

clean:
	-rm -f $(srcdir)/$(LACHECK) $(srcdir)/*.o $(srcdir)/*.1 $(srcdir)/*~

distclean:	clean

mostlyclean:	clean
	-rm -f $(srcdir)/lacheck.c $(srcdir)/lacheck.noflex.c

realclean:	mostlyclean
	-rm -f test.old

dist:	$(DISTFILES) 
	mkdir lacheck-$(REV) 
	cp $(DISTFILES) lacheck-$(REV)
	touch lacheck-$(REV)/lacheck.c
	-rm -f $(FTPDIR)/lacheck-$(REV).tar.gz
	-rm -f $(FTPDIR)/lacheck.tar.gz $(FTPDIR)/lacheck.tar.Z
	tar -cf - lacheck-$(REV) | gzip > $(FTPDIR)/lacheck-$(REV).tar.gz
	tar -cf - lacheck-$(REV) | compress > $(FTPDIR)/lacheck-$(REV).tar.Z
	(cd $(FTPDIR); ln -s lacheck-$(REV).tar.gz lacheck.tar.gz)

## auctex 9.7n

=== Makefile ===
# Makefile - for the AUC TeX distribution.
#
# Maintainer: Per Abrahamsen <auc-tex@sunsite.auc.dk>
# Version: 9.7n
#
# Edit the makefile, type `make', and follow the instructions.

##----------------------------------------------------------------------
##  YOU MUST EDIT THE FOLLOWING LINES 
##----------------------------------------------------------------------

# Where local software is found
prefix=/usr/local

# Where info files go.
infodir = $(prefix)/info

# Where local lisp files go.
lispdir = $(prefix)/share/emacs/site-lisp

# Where the AUC TeX emacs lisp files go.
aucdir=$(lispdir)/auctex

# Name of your emacs binary
EMACS=emacs

##----------------------------------------------------------------------
## YOU MAY NEED TO EDIT THESE
##----------------------------------------------------------------------

# Do not change the definition of autodir below, unless you also
# update TeX-auto-global in tex-init.el

# Where the automatically generated lisp files for your site go.
autodir=$(aucdir)/auto

# Using emacs in batch mode.
BATCH=$(EMACS) -batch -q -l lpath.el

# Specify the byte-compiler for compiling AUC TeX files
ELC= $(BATCH) -f batch-byte-compile

# Specify the byte-compiler for generating style files
AUTO= $(EMACS) -batch -l $(aucdir)/tex.elc \
	-l $(aucdir)/latex.elc -f TeX-auto-generate-global

# Specify the byte-compiler for compiling generated style files
AUTOC= $(ELC)

# How to move the byte compiled files to their destination.  
MV = mv

# How to copy the lisp files to their distination.
CP = cp -p

##----------------------------------------------------------------------
##  BELOW THIS LINE ON YOUR OWN RISK!
##----------------------------------------------------------------------

.SUFFIXES: .el .elc .texi 

SHELL = /bin/sh

FTPDIR = /home/ftp/pub/Staff/Per.Abrahamsen/auctex
#FTPDIR = /home/ftp/pub/Staff/Per.Abrahamsen/mirror/ftp/auctex

WWWDIR = $(HOME)/.public_html/auctex
#WWWDIR = /home/ftp/pub/Staff/Per.Abrahamsen/mirror/www/auctex

REMOVE =  ltx-help.el

MINMAPSRC = auc-menu.el maniac.el outln-18.el all.el multi-prompt.el

CONTRIB = hilit-LaTeX.el bib-cite.el tex-jp.el font-latex.el
CONTRIBELC = bib-cite.elc font-latex.elc

AUCSRC = auc-old.el tex.el tex-buf.el latex.el tex-info.el multi-prompt.el
AUCELC = auc-old.elc tex.elc tex-buf.elc latex.elc tex-info.elc \
	multi-prompt.elc


STYLESRC = style/slides.el    style/foils.el    style/amstex.el \
	   style/article.el   style/book.el     style/letter.el \
	   style/report.el    style/amsart.el   style/amsbook.el \
	   style/epsf.el      style/psfig.el    style/latexinfo.el \
	   style/dutch.el     style/german.el   style/dk.el \
	   style/j-article.el style/j-book.el   style/j-report.el \
	   style/jarticle.el  style/jbook.el    style/jreport.el \
	   style/dinbrief.el  style/virtex.el   style/plfonts.el \
	   style/plhb.el      style/harvard.el	style/swedish.el \
	   style/danish.el

DOCFILES = doc/Makefile doc/auc-tex.texi doc/intro.texi doc/install.texi \
	doc/changes.texi doc/tex-ref.tex doc/math-ref.tex doc/history.texi

EXTRAFILES = COPYING PROBLEMS MSDOS VMS OS2 WIN-NT Makefile ChangeLog \
	lpath.el tex-site.el $(CONTRIB)

all:	lisp

lisp:
	$(ELC) $(AUCSRC) $(STYLESRC)

some:	$(AUCELC) $(STYLESRC:.el=.elc)

install:	install-lisp

contrib:
	$(ELC) bib-cite.el
	$(ELC) font-latex.el
# 	$(ELC) tex-jp.el              # Doesn't compile without MULE
# 	$(ELC) hilit-LaTeX.el         # Doesn't compile without X

install-lisp:	some
	if [ ! -d $(lispdir) ]; then mkdir $(lispdir); else true; fi ;
	if [ -f $(lispdir)/tex-site.el ]; \
	then \
	    echo "Leaving old tex-site.el alone."; \
	else \
	    sed -e 's#@AUCDIR#$(aucdir)/#' tex-site.el \
	    > $(lispdir)/tex-site.el ; \
        fi
	if [ ! -d $(aucdir) ]; then mkdir $(aucdir); else true; fi ; 
	if [ `/bin/pwd` != `(cd $(aucdir) && /bin/pwd)` ] ; \
	then \
	    if [ ! -d $(aucdir)/style ]; then mkdir $(aucdir)/style; \
	                                 else true; fi ; \
	    $(MV) $(AUCELC) $(aucdir) ; \
	    $(MV) style/*.elc $(aucdir)/style ; \
	    $(CP) $(AUCSRC) $(aucdir) ; \
	    $(CP) style/*.el $(aucdir)/style ; \
	else \
	    echo "Leaving compiled files in place."; \
	fi

install-contrib:
	$(MV) $(CONTRIBELC) $(aucdir)
	$(CP) $(CONTRIB) $(aucdir)

install-info:
	-(cd doc; $(MAKE) install infodir=$(infodir))


install-auto:
	@echo "Use \"M-x TeX-auto-generate-global RET\" instead."


.el.elc:
	$(ELC) $<

clean:
	rm -rf *~ #*# lex.yy.c idetex auctex
	(cd doc; $(MAKE) clean)

wc:
	wc $(AUCSRC) $(STYLESRC) 

dist:	
	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
	if [ "X$(OLD)" = "X" ]; then echo "No patch"; exit 1; fi
	@echo "**********************************************************"
	@echo "** Making distribution of auctex for release $(TAG)"
	@echo "**********************************************************"
	if [ -d auctex-$(TAG) ]; then rm -r auctex-$(TAG) ; fi
	rm -f $(WWWDIR)/version
	echo $(TAG) > $(WWWDIR)/version
	perl -pi.bak -e "s/Version: $(OLD)/Version: $(TAG)/" \
	    $(AUCSRC) $(EXTRAFILES)
	mv ChangeLog ChangeLog.old
	echo `date "+%a %b %d %T %Y "` \
	     " Per Abrahamsen  <abraham@dina.kvl.dk>" > ChangeLog
	echo >> ChangeLog
	echo "	* Version" $(TAG) released. >> ChangeLog
	echo >> ChangeLog
	cat ChangeLog.old >> ChangeLog
	cvs commit -m "Release $(OLD)++" tex.el
	rm -f tex.el.orig
	mv tex.el tex.el.orig
	sed -e '/defconst AUC-TeX-date/s/"[^"]*"/"'"`date`"'"/' \
	    -e '/defconst AUC-TeX-version/s/"[^"]*"/"'$(TAG)'"/' \
	    < tex.el.orig > tex.el
	rm -f $(REMOVE) 
	-cvs remove $(REMOVE) 
	-cvs add $(AUCSRC) $(EXTRAFILES)
	-(cd doc; cvs add `echo $(DOCFILES) | sed -e s@doc/@@g` )
	-(cd style; cvs add `echo $(STYLESRC) | sed -e s@style/@@g` )
	cvs commit -m "Release $(TAG)"
	cvs tag release_`echo $(TAG) | sed -e 's/[.]/_/g'`
	mkdir auctex-$(TAG) 
	mkdir auctex-$(TAG)/style
	mkdir auctex-$(TAG)/doc 
	cp $(AUCSRC) $(EXTRAFILES) auctex-$(TAG)
	cp $(STYLESRC) auctex-$(TAG)/style
	cp $(DOCFILES)  auctex-$(TAG)/doc
	(cd doc; $(MAKE) dist; cp auctex auctex-* ../auctex-$(TAG)/doc )
	(cd doc; cp INSTALLATION README CHANGES ../auctex-$(TAG)/ )
	cp doc/CHANGES $(FTPDIR)/CHANGES-$(TAG)
	cp doc/auc-tex.ps $(FTPDIR)
	cp ChangeLog $(FTPDIR)
	cp doc/*.html $(WWWDIR)/doc
	rm -f $(FTPDIR)/auctex-$(TAG).tar.gz $(FTPDIR)/auctex.tar.gz
	rm -f $(FTPDIR)/auctex.tar.Z $(FTPDIR)/auctex.zip
	tar -cf - auctex-$(TAG) | gzip --best > $(FTPDIR)/auctex-$(TAG).tar.gz
	tar -cf - auctex-$(TAG) | compress > $(FTPDIR)/auctex.tar.Z
	zip -r $(FTPDIR)/auctex auctex-$(TAG)
	(cd $(FTPDIR); ln -s auctex-$(TAG).tar.gz auctex.tar.gz)
	cvs rdiff -r release_`echo $(OLD) | sed -e 's/[.]/_/g'` \
	          -r release_`echo $(TAG) | sed -e 's/[.]/_/g'` auctex \
		> $(FTPDIR)/auctex-$(OLD)-to-$(TAG).patch ;  exit 0

patch:
	cvs rdiff -r release_`echo $(OLD) | sed -e 's/[.]/_/g'` \
	          -r release_`echo $(TAG) | sed -e 's/[.]/_/g'` auctex

min-map:
	-cvs add $(MINMAPSRC) 
	cvs commit -m "Update"
	cp $(MINMAPSRC) doc/math-ref.tex $(FTPDIR)

## auctex 9.9b

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile - for the AUC TeX distribution.
 #
 # Maintainer: Per Abrahamsen <auc-tex@sunsite.auc.dk>
-# Version: 9.7n
+# Version: 9.9b
 #
 # Edit the makefile, type `make', and follow the instructions.
 
@@ -88,7 +88,9 @@
 	   style/jarticle.el  style/jbook.el    style/jreport.el \
 	   style/dinbrief.el  style/virtex.el   style/plfonts.el \
 	   style/plhb.el      style/harvard.el	style/swedish.el \
-	   style/danish.el
+	   style/danish.el    style/slovak.el   style/czech.el \
+	   style/amsmath.el   style/amstext.el  style/amsbsy.el \
+	   style/amsopn.el    style/amsthm.el	style/natbib.el
 
 DOCFILES = doc/Makefile doc/auc-tex.texi doc/intro.texi doc/install.texi \
 	doc/changes.texi doc/tex-ref.tex doc/math-ref.tex doc/history.texi
@@ -167,7 +169,7 @@
 	perl -pi.bak -e "s/Version: $(OLD)/Version: $(TAG)/" \
 	    $(AUCSRC) $(EXTRAFILES)
 	mv ChangeLog ChangeLog.old
-	echo `date "+%a %b %d %T %Y "` \
+	echo `date "+%Y-%m-%d "` \
 	     " Per Abrahamsen  <abraham@dina.kvl.dk>" > ChangeLog
 	echo >> ChangeLog
 	echo "	* Version" $(TAG) released. >> ChangeLog

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 all: auc-tex.dvi tex-ref.dvi math-ref.dvi auctex
 
-dist: auctex INSTALLATION README CHANGES auc-tex_toc.html
+dist: auctex INSTALLATION README CHANGES auc-tex_toc.html auc-tex.ps
 
 auc-tex_toc.html: auc-tex.texi
 	texi2html -split_node auc-tex.texi
@@ -33,6 +33,9 @@
 	@echo "** a newer version of texinfo?"
 	@echo "** doc/auc-tex.dvi may now be printed (70+ pages)"
 	@echo "**********************************************************"
+
+auc-tex.ps: auc-tex.dvi
+	dvips auc-tex.dvi > auc-tex.ps
 
 auctex: auc-tex.texi install.texi intro.texi changes.texi
 	-makeinfo auc-tex.texi

## auctex 9.9j

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile - for the AUC TeX distribution.
 #
 # Maintainer: Per Abrahamsen <auc-tex@sunsite.auc.dk>
-# Version: 9.9b
+# Version: 9.9j
 #
 # Edit the makefile, type `make', and follow the instructions.
 
@@ -74,9 +74,10 @@
 CONTRIB = hilit-LaTeX.el bib-cite.el tex-jp.el font-latex.el
 CONTRIBELC = bib-cite.elc font-latex.elc
 
-AUCSRC = auc-old.el tex.el tex-buf.el latex.el tex-info.el multi-prompt.el
+AUCSRC = auc-old.el tex.el tex-buf.el latex.el tex-info.el \
+	texmathp.el multi-prompt.el
 AUCELC = auc-old.elc tex.elc tex-buf.elc latex.elc tex-info.elc \
-	multi-prompt.elc
+	texmathp.elc multi-prompt.elc
 
 
 STYLESRC = style/slides.el    style/foils.el    style/amstex.el \

## auctex 9.9p

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile - for the AUC TeX distribution.
 #
 # Maintainer: Per Abrahamsen <auc-tex@sunsite.auc.dk>
-# Version: 9.9j
+# Version: 9.9p
 #
 # Edit the makefile, type `make', and follow the instructions.
 
@@ -136,7 +136,7 @@
 	    echo "Leaving compiled files in place."; \
 	fi
 
-install-contrib:
+install-contrib:	$(CONTRIBELC)
 	$(MV) $(CONTRIBELC) $(aucdir)
 	$(CP) $(CONTRIB) $(aucdir)

=== doc/Makefile ===
--- 
+++ 
@@ -34,8 +34,9 @@
 	@echo "** doc/auc-tex.dvi may now be printed (70+ pages)"
 	@echo "**********************************************************"
 
+# dvips spews two error lines.  I don't know why.
 auc-tex.ps: auc-tex.dvi
-	dvips auc-tex.dvi > auc-tex.ps
+	dvips auc-tex.dvi -o auc-tex.ps
 
 auctex: auc-tex.texi install.texi intro.texi changes.texi
 	-makeinfo auc-tex.texi

## auctex 11.06

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile - for the AUC TeX distribution.
 #
-# Maintainer: Per Abrahamsen <auc-tex@sunsite.auc.dk>
-# Version: 9.9p
+# Maintainer: Per Abrahamsen <auc-tex@sunsite.dk>
+# Version: 11.06
 #
 # Edit the makefile, type `make', and follow the instructions.
 
@@ -67,17 +67,17 @@
 WWWDIR = $(HOME)/.public_html/auctex
 #WWWDIR = /home/ftp/pub/Staff/Per.Abrahamsen/mirror/www/auctex
 
-REMOVE =  ltx-help.el
+REMOVE =  MSDOS VMS OS2 WIN-NT
 
 MINMAPSRC = auc-menu.el maniac.el outln-18.el all.el multi-prompt.el
 
-CONTRIB = hilit-LaTeX.el bib-cite.el tex-jp.el font-latex.el
-CONTRIBELC = bib-cite.elc font-latex.elc
+CONTRIB = hilit-LaTeX.el bib-cite.el tex-jp.el tex-fptex.el
+CONTRIBELC = bib-cite.elc 
 
 AUCSRC = auc-old.el tex.el tex-buf.el latex.el tex-info.el \
-	texmathp.el multi-prompt.el
+	texmathp.el multi-prompt.el tex-mik.el font-latex.el tex-font.el
 AUCELC = auc-old.elc tex.elc tex-buf.elc latex.elc tex-info.elc \
-	texmathp.elc multi-prompt.elc
+	texmathp.elc multi-prompt.elc tex-mik.elc font-latex.elc tex-font.elc
 
 
 STYLESRC = style/slides.el    style/foils.el    style/amstex.el \
@@ -91,12 +91,16 @@
 	   style/plhb.el      style/harvard.el	style/swedish.el \
 	   style/danish.el    style/slovak.el   style/czech.el \
 	   style/amsmath.el   style/amstext.el  style/amsbsy.el \
-	   style/amsopn.el    style/amsthm.el	style/natbib.el
+	   style/amsopn.el    style/amsthm.el	style/natbib.el \
+	   style/index.el     style/makeidx.el  style/multind.el \
+	   style/varioref.el  style/fancyref.el	style/mdwlist.el \
+	   style/ngerman.el   style/graphicx.el	style/graphics.el \
+	   style/verbatim.el
 
 DOCFILES = doc/Makefile doc/auc-tex.texi doc/intro.texi doc/install.texi \
 	doc/changes.texi doc/tex-ref.tex doc/math-ref.tex doc/history.texi
 
-EXTRAFILES = COPYING PROBLEMS MSDOS VMS OS2 WIN-NT Makefile ChangeLog \
+EXTRAFILES = COPYING PROBLEMS IRIX Makefile ChangeLog \
 	lpath.el tex-site.el $(CONTRIB)
 
 all:	lisp
@@ -132,6 +136,10 @@
 	    $(MV) style/*.elc $(aucdir)/style ; \
 	    $(CP) $(AUCSRC) $(aucdir) ; \
 	    $(CP) style/*.el $(aucdir)/style ; \
+	    touch $(aucdir)/style/.nosearch ; \
+	    if [ ! -d $(aucdir)/auto ]; then mkdir $(aucdir)/auto; \
+	                                else true; fi ; \
+	    touch $(aucdir)/auto/.nosearch ; \
 	else \
 	    echo "Leaving compiled files in place."; \
 	fi
@@ -176,7 +184,7 @@
 	echo "	* Version" $(TAG) released. >> ChangeLog
 	echo >> ChangeLog
 	cat ChangeLog.old >> ChangeLog
-	cvs commit -m "Release $(OLD)++" tex.el
+	cvs commit -m 'Release_$(OLD)++' tex.el
 	rm -f tex.el.orig
 	mv tex.el tex.el.orig
 	sed -e '/defconst AUC-TeX-date/s/"[^"]*"/"'"`date`"'"/' \
@@ -185,15 +193,16 @@
 	rm -f $(REMOVE) 
 	-cvs remove $(REMOVE) 
 	-cvs add $(AUCSRC) $(EXTRAFILES)
-	-(cd doc; cvs add `echo $(DOCFILES) | sed -e s@doc/@@g` )
-	-(cd style; cvs add `echo $(STYLESRC) | sed -e s@style/@@g` )
-	cvs commit -m "Release $(TAG)"
+	-(cd doc; auc add `echo $(DOCFILES) | sed -e s@doc/@@g` )
+	-(cd style; auc add `echo $(STYLESRC) | sed -e s@style/@@g` )
+	cvs commit -m 'Release_$(TAG)'
 	cvs tag release_`echo $(TAG) | sed -e 's/[.]/_/g'`
 	mkdir auctex-$(TAG) 
 	mkdir auctex-$(TAG)/style
 	mkdir auctex-$(TAG)/doc 
 	cp $(AUCSRC) $(EXTRAFILES) auctex-$(TAG)
 	cp $(STYLESRC) auctex-$(TAG)/style
+	touch auctex-$(TAG)/style/.nosearch
 	cp $(DOCFILES)  auctex-$(TAG)/doc
 	(cd doc; $(MAKE) dist; cp auctex auctex-* ../auctex-$(TAG)/doc )
 	(cd doc; cp INSTALLATION README CHANGES ../auctex-$(TAG)/ )
@@ -202,18 +211,22 @@
 	cp ChangeLog $(FTPDIR)
 	cp doc/*.html $(WWWDIR)/doc
 	rm -f $(FTPDIR)/auctex-$(TAG).tar.gz $(FTPDIR)/auctex.tar.gz
-	rm -f $(FTPDIR)/auctex.tar.Z $(FTPDIR)/auctex.zip
+	rm -f $(FTPDIR)/auctex.zip
 	tar -cf - auctex-$(TAG) | gzip --best > $(FTPDIR)/auctex-$(TAG).tar.gz
-	tar -cf - auctex-$(TAG) | compress > $(FTPDIR)/auctex.tar.Z
-	zip -r $(FTPDIR)/auctex auctex-$(TAG)
+	-zip -r $(FTPDIR)/auctex auctex-$(TAG)
 	(cd $(FTPDIR); ln -s auctex-$(TAG).tar.gz auctex.tar.gz)
-	cvs rdiff -r release_`echo $(OLD) | sed -e 's/[.]/_/g'` \
-	          -r release_`echo $(TAG) | sed -e 's/[.]/_/g'` auctex \
-		> $(FTPDIR)/auctex-$(OLD)-to-$(TAG).patch ;  exit 0
+	diff -u auctex-$(OLD) auctex-$(TAG) > \
+		$(FTPDIR)/auctex-$(OLD)-to-$(TAG).patch; exit 0
+#	cvs diff -r release_`echo $(OLD) | sed -e 's/[.]/_/g'` \
+#	         -r release_`echo $(TAG) | sed -e 's/[.]/_/g'` auctex \
+#		> $(FTPDIR)/auctex-$(OLD)-to-$(TAG).patch ;  exit 0
+#	cvs rdiff -r release_`echo $(OLD) | sed -e 's/[.]/_/g'` \
+#	          -r release_`echo $(TAG) | sed -e 's/[.]/_/g'` auctex \
+#		> $(FTPDIR)/auctex-$(OLD)-to-$(TAG).patch ;  exit 0
 
 patch:
-	cvs rdiff -r release_`echo $(OLD) | sed -e 's/[.]/_/g'` \
-	          -r release_`echo $(TAG) | sed -e 's/[.]/_/g'` auctex
+	diff -u auctex-$(OLD) auctex-$(TAG) > \
+		$(FTPDIR)/auctex-$(OLD)-to-$(TAG).patch; exit 0
 
 min-map:
 	-cvs add $(MINMAPSRC)

## auctex 11.86

=== debian/changelog ===
auctex (11.86-9) unstable; urgency=low

  * [711871c] debian/auctex.docs: Remove 'ChangeLog*' entry.
  * [e120e11] Add patch: preview-image-type: Customize for Debian.
    (Closes: #276102) - thanks to Faheem Mitha
  * [56dbf46] Explain how to use source specials rather than SyncTeX.
    (Closes: #596684) - thanks to Alessandro Riggio
  * [f395010] Move some preview docs from preview-latex-style to auctex.
  * [6311a66] Replace patch: Fix ConTeXt expand options defun.
  * [1352213] Replace patch: TeX-view-program-selection: Customize for
    Debian.

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 14 Jan 2012 23:57:13 +0100

auctex (11.86-8) unstable; urgency=medium

  * [04d9f33] debian/control: Switch from Conflicts to Breaks where
    appropriate.
  * [6fbed85] Format auctex.NEWS according to DDR 6.3.4.
  * [b7abc18] Change ePerl source files suffix from ".in" to ".eperl".
  * [b41ebfe] Update copyright.
  * [30f9294] Use debhelper.
  * [b40470b] Speed up build time by skipping Emacs byte-compilation.
  * [2d91d94] update-auctex-elisp: Add daemon and no-act mode options.
  * [094ab9a] Rewrite install-time code; thanks to Frank Küster, Alexei
    Sheplyakov, Simon Pepping.  (Closes: #370659, #413318, #478070)
  * [1a1d022] debian/auctex.preinst: Protect dpkg-maintscript-helper
    invocation.
  * [3b1936f] debian/auctex.postinst: Clean old cruft: auto-loads.el~.
    (Closes: #653212)
  * [3e46ba1] Add a note to explain how to (partially) disable AUCTeX.
  * [efb3fe8] Update po/nl.po; thanks to Jeroen Schot.  (Closes: #654241)
  * [a3d3630] Update po/pt.po; thanks to Pedro Ribeiro.  (Closes: #654961)
  * [33864b5] Update po/fr.po; thanks to Steve Petruzzello.
    (Closes: #655062)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 08 Jan 2012 19:04:08 +0100

auctex (11.86-7) unstable; urgency=low

  * [4513248] debian/auctex.triggers: Remove misplaced tree.
  * [243b72b] debian/watch: Track new upstream sources.
  * [4ca807c] Remove update-auctex-install and its references.
  * [c15f329] Add patch: Rationalize dist target in doc/Makefile.in.
  * [e625422] Add patch: TeX-auto-global: Customize for Debian.
  * [8b2e941] Reorder the patch set.
  * [819109c] Update po/sv.po; thanks to Martin Bagge.  (Closes: #653560)
  * [21140ef] Update po/de.po; thanks to Helge Kreutzmann.
    (Closes: #653670)
  * [e86103c] Update po/ru.po; thanks to Yuri Kozlov.  (Closes: #653710)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 31 Dec 2011 18:55:18 +0100

auctex (11.86-6) unstable; urgency=low

  * [925840e] Use dpkg triggers to parse new (La)TeX macros and style
    files; thanks to Josh Triplett.  (Closes: #478733)
  * [3c6c060] Stop recommending doc-base; thanks to Jonathan Nieder.
    (Closes: #610168)
  * [99860b2] Clean up obsolete conffiles; thanks to Sven Joachim.
    (Closes: #652962)
  * [c238fc3] Don't install unneeded files; thanks to Sven Joachim.
    (Closes: #652964)

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 23 Dec 2011 00:20:50 +0100

auctex (11.86-5) unstable; urgency=low

  * [5a6ba82] Drop emacs21, emacs22 and emacs-snapshot support.
  * [cb09a98] Add debian/copyright to the source package.
  * [0681817] Update po/nl.po; thanks to Jeroen Schot.  (Closes: #652150)

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 21 Dec 2011 21:57:55 +0100

auctex (11.86-4) unstable; urgency=low

  * [76ae771] Upgrade Standards-Version to 3.9.2.
  * [b669d50] Add po/ko.po; thanks to 강민지.  (Closes: #631896)

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 28 Jun 2011 21:37:14 +0200

auctex (11.86-3) unstable; urgency=low

  * [f31efb1] Add patch: Also clean PDF docs; thanks to Matthias Kümmerer.
  * [88f9ccc] Add patch: Fix preview with latest ghostscript; thanks to
    Faheem Mitha.
  * [adc29ae] Add language code to the Language field in po files missing it.
  * [0a0c25b] Add po/da.po; thanks to Joe Dalton.  (Closes: #619658)
  * [f11007e] Imported NMU: 11.86-2.1.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 22 Jun 2011 17:30:50 +0200

auctex (11.86-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add Patch: Remove preview/latex/preview.pdf in make clean
    (Closes: #628787)
  * Add Patch: Preview not working with new Ghostscript
    (Patch from CVS) (Closes: #610714)

 -- Matthias Kümmerer <matthias@matthias-k.org>  Thu, 02 Jun 2011 16:03:08 +0200

auctex (11.86-2) unstable; urgency=low

  * [3b1fd8d] Update copyright year for man pages and debian/variables.
  * [797e2b8] Change 'Recommends: xpdf-reader' to 'Recommends: xpdf'.
  * [7ed99ae] Add patch: Fix TeX engine alist builtin defvar; thanks to
    Sanjoy Mahajan.  (Closes: #597006)

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 24 Sep 2010 23:45:55 +0200

auctex (11.86-1) unstable; urgency=low

  * [c9e48f5] Switch to 3.0 (quilt) source format.
  * [43613e3] Add patch: Rationalize HTML documentation targets in
    doc/Makefile.in.
  * [6782f7a] Call auctex/Makefile lisp target before calling install-
    lisp.
  * [29d4857] Update copyright year.
  * [6ad7010] Imported Upstream version 11.86; thanks to Rogério Brito.
    (Closes: #577151)
  * [cca6ed8] Update patch: Rationalize HTML documentation targets in
    doc/Makefile.in.
  * [19de369] Add a fake maintainer-clean target to MAKEFILEHACKS.
  * [a9c13b5] Add Debian customized 11.86 release notes to
    debian/auctex/NEWS.
  * [d7dcf99] Add patch: Change pdf viewer default from Evince to xpdf.
  * [20836ab] Upgrade Standards-Version to 3.9.1.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 27 Aug 2010 17:06:08 +0200

auctex (11.85-1) unstable; urgency=low

  * New upstream release.  (Closes: #482956)
  * control (Standards-Version): 3.8.3
  * control (auctex/Depends): Add "dpkg (>= 1.15.4) | install-info" as per
    3.8.3 standards.
  * COPYRIGHT, copyright.in: Update (GPL v3).
  * variables (INFOSEC, AUCTEX_INFOMENU, AUCTEX_INFODESC,
    PREVIEW_INFOMENU, PREVIEW_INFODESC, DINSTALL, DREMOVE, IINSTALL,
    IREMOVE): Remove.


=== debian/control ===
Source: auctex
Priority: optional
Section: tex
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Uploaders: OHURA Makoto <ohura@debian.org>
Standards-Version: 3.9.2
Build-Depends-Indep: debhelper (>= 8), emacs23, eperl, ghostscript, po-debconf, tex-common, texlive-latex-base, texinfo, texi2html (>=1.76)
Homepage: http://www.gnu.org/software/auctex/

Package: auctex
Architecture: all
Depends: emacs23, preview-latex-style, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Recommends: ghostscript, texlive-latex-recommended, xpdf | evince | evince-gtk
Suggests: catdvi, dvipng, lacheck
Breaks: emacspeak (<= 17.0-1)
Conflicts: preview-latex
Replaces: preview-latex
Provides: preview-latex
Description: integrated document editing environment for TeX etc.
 AUCTeX is a comprehensive customizable integrated environment for writing
 input files for TeX/LaTeX/ConTeXt/Texinfo using GNU Emacs.  Currently
 XEmacs ships with its own AUCTeX version.
 .
 It supports processing source files by running TeX and related tools
 (such as output filters, post processors for generating indices and
 bibliographies, and viewers) from inside Emacs.  AUCTeX allows browsing
 through the errors reported by TeX, while it moves the cursor directly to
 the reported error, and displays some documentation for that particular
 error.  This will even work when the document is spread over several
 files.
 .
 AUCTeX can automatically indent LaTeX source, either line by line or for
 an entire document, and has a special outline feature which can greatly
 assist in getting an overview of a document.
 .
 AUCTeX is written entirely in Emacs Lisp, and may therefore be enhanced
 with new features for specific needs.  It comes with a large range of
 handy Emacs macros.  It is a GNU project, and documentation for all its
 features is accessible via the Emacs info browser.

Package: preview-latex-style
Architecture: all
Depends: ${misc:Depends}
Breaks: preview-latex (<=0.7.3-2)
Homepage: http://www.gnu.org/software/auctex/preview-latex.html
Description: extraction of elements from LaTeX documents as graphics
 The purpose of preview is the extraction of selected elements from a
 LaTeX source, like formulas or graphics, into separate pages of a DVI
 file.  A flexible and convenient interface allows it to specify what
 commands and constructs should be extracted.  This works with DVI files
 postprocessed by either Dvips and Ghostscript or dvipng, but it also
 works when using PDFTeX for generating PDF files.
 .
 Currently, preview.sty is used by preview-latex, the WYSIWYG component of
 the AUCTeX editing environment; for generation of previews in LyX; as
 part of the operation of the ps4pdf and pst-pdf LaTeX packages; by the
 tbook XML system and some other tools.

=== debian/rules ===
#! /usr/bin/make -f
#
# makefile rules for the Debian package auctex
#
# Copyright (C) 1997, 98, 99, 2000, 01, 02, 03, 04, 05, 06, 07, 08, 09, 10,
# 11, 12 Davide G. M. Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

SHELL := /bin/bash

EPERL_SRC := $(wildcard debian/*.eperl)
EPERL_OBJ := $(EPERL_SRC:%.eperl=%)

debian/clean: $(EPERL_OBJ)
	echo $(filter-out debian/copyright debian/rules \
		debian/auctex.templates, $(EPERL_OBJ)) \
		debian/auctex.templates.dcobj \
		debian/clean > debian/clean

%:: %.eperl
	eperl -P -o $@ $<

build: debian/clean
	dh $@ --exclude .eperl --with tex

ELCC := $(shell pwd)/debian/elcc
.PHONY: override_dh_auto_build
override_dh_auto_build:
	chmod a+x debian/elcc
	$(MAKE) ELCC=$(ELCC)
	rm --force auto-loads.el
	$(MAKE) auto-loads.el
	$(MAKE) tex-site.el
	cd doc && $(MAKE) auctex.htmls/auctex.html
	cd doc && $(MAKE) preview-latex.htmls/preview-latex.html

%:
	dh $@ --exclude .eperl --with tex

.PHONY: override_dh_install
override_dh_install:
	find debian/tmp/usr/share/emacs/site-lisp -type f -name \*.elc \
		-print0 | xargs --null --no-run-if-empty rm -f
	dh_install

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	cd preview/latex && $(MAKE) DESTDIR=../../debian/tmp install

.PHONY: override_dh_installdocs
override_dh_installdocs:
	install -m 755 -d debian/tmp/usr/doc/auctex/src
	install -m 644 doc/tex-ref.pdf debian/tmp/usr/doc/auctex
	install -m 644 doc/*.tex{,i} debian/tmp/usr/doc/auctex/src
	install -m 755 -d \
		debian/tmp/usr/doc/auctex/HTML/{auctex,preview-latex}
	install -m 644 doc/auctex.htmls/* \
		debian/tmp/usr/doc/auctex/HTML/auctex
	install -m 644 doc/preview-latex.htmls/* \
		debian/tmp/usr/doc/auctex/HTML/preview-latex
	cd preview; for i in ChangeLog*; do \
		install -m 644 $$i \
		../debian/tmp/usr/doc/auctex/preview-$$i; \
	done
	dh_installdocs

.PHONY: override_dh_installtex
override_dh_installtex:
	dh_installtex --package=preview-latex-style

debian/po/templates.pot: debian/auctex.templates debian/po/*.po
	umask 0022 && debconf-updatepo --verbose --podir=debian/po
	@touch $@

%.dcobj: % debian/po/templates.pot
	po2debconf --verbose --podir debian/po $< > $@

.PHONY: debconf-test
debconf-test: debian/auctex.templates.dcobj debian/auctex.config
	debconf-loadtemplate auctex \
		debian/auctex.templates.dcobj
	DEBCONF_DEBUG=developer debconf --owner=auctex \
		--frontend=dialog --priority=low \
		$(SHELL) -e debian/auctex.config configure

.PHONY: debconf-ask-for-translations
debconf-ask-for-translations: debian/auctex.templates.dcobj
	podebconf-report-po --verbose --gzip \
		 --call --withtranslators --languageteam \
		--package=auctex --deadline='+7days' \
		--from='"Davide G. M. Salvetti (Debian auctex maintainer)" <salve@debian.org>' \
		--postpone=../+RFT.mbox

.PHONY: pre-build
pre-build:
	test -x ./autogen.sh && ./autogen.sh || true

.PHONY: snapshot
snapshot:
	@git branch | perl -ne 'print if s/^\* //' > debian/,current-branch
	gbp-pq rebase
	git-dch --debian-branch=patch-queue/$$(cat debian/,current-branch) \
		--snapshot --auto
	git-buildpackage --git-ignore-new -rfakeroot -tc -i -us -uc
	git checkout $$(cat debian/,current-branch)
	@rm --force debian/,current-branch

.PHONY: release
release:
	git checkout master
	gbp-pq rebase
	gbp-pq export
	git-dch --release
	git add debian/changelog
	git commit
	gbp-pq rebase
	git-buildpackage --git-debian-branch=patch-queue/master \
		-rfakeroot -tc -i
	git checkout master
	V=$$(dpkg-parsechangelog|egrep '^Version: '|cut -d ' ' -f 2); \
	git tag -s -m "Debian release $${V}" debian/$${V}
